<ui version="4.0" >
 <author>Matthias Kretz &lt;kretz@kde.org></author>
 <class>DevicePreference</class>
 <widget class="QWidget" name="DevicePreference" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>600</width>
    <height>400</height>
   </rect>
  </property>
  <layout class="QGridLayout" >
   <item rowspan="2" row="0" column="0" >
    <layout class="QVBoxLayout" >
     <item>
      <widget class="QTreeView" name="categoryTree" >
       <property name="sizePolicy" >
        <sizepolicy vsizetype="Expanding" hsizetype="Preferred" >
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="contextMenuPolicy" >
        <enum>Qt::CustomContextMenu</enum>
       </property>
       <property name="toolTip" >
        <string>Various categories of outputs.  For each category you may choose what device you wish to output to.</string>
       </property>
       <property name="whatsThis" >
        <string>Various categories of outputs.  For each category you may choose what device you wish to output to.</string>
       </property>
       <property name="itemsExpandable" >
        <bool>false</bool>
       </property>
      </widget>
     </item>
     <item>
      <layout class="QHBoxLayout" >
       <property name="spacing" >
        <number>0</number>
       </property>
       <item>
        <widget class="QCheckBox" name="showCheckBox" >
         <property name="text" >
          <string>Show advanced devices</string>
         </property>
        </widget>
       </item>
       <item>
        <spacer>
         <property name="orientation" >
          <enum>Qt::Horizontal</enum>
         </property>
         <property name="sizeType" >
          <enum>QSizePolicy::Preferred</enum>
         </property>
         <property name="sizeHint" stdset="0" >
          <size>
           <width>0</width>
           <height>20</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </item>
     <item>
      <layout class="QHBoxLayout" >
       <property name="spacing" >
        <number>0</number>
       </property>
       <item>
        <widget class="QPushButton" name="applyPreferencesButton" >
         <property name="text" >
          <string>Apply Device List To...</string>
         </property>
        </widget>
       </item>
       <item>
        <spacer>
         <property name="orientation" >
          <enum>Qt::Horizontal</enum>
         </property>
         <property name="sizeType" >
          <enum>QSizePolicy::Minimum</enum>
         </property>
         <property name="sizeHint" stdset="0" >
          <size>
           <width>0</width>
           <height>20</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </item>
    </layout>
   </item>
   <item row="0" column="1" >
    <widget class="QTreeView" name="deviceList" >
     <property name="acceptDrops" >
      <bool>true</bool>
     </property>
     <property name="toolTip" >
      <string>Audio Outputs found on your system.  Choose the device that you wish sound to come out of.</string>
     </property>
     <property name="whatsThis" >
      <string>The order determines the preference of the output devices. If for some reason the first device cannot be used Phonon will try to use the second, and
so on.</string>
     </property>
     <property name="horizontalScrollBarPolicy" >
      <enum>Qt::ScrollBarAsNeeded</enum>
     </property>
     <property name="dragEnabled" >
      <bool>true</bool>
     </property>
     <property name="dragDropMode" >
      <enum>QAbstractItemView::InternalMove</enum>
     </property>
     <property name="selectionBehavior" >
      <enum>QAbstractItemView::SelectRows</enum>
     </property>
     <property name="iconSize" >
      <size>
       <width>32</width>
       <height>32</height>
      </size>
     </property>
     <property name="textElideMode" >
      <enum>Qt::ElideNone</enum>
     </property>
     <property name="verticalScrollMode" >
      <enum>QAbstractItemView::ScrollPerPixel</enum>
     </property>
     <property name="horizontalScrollMode" >
      <enum>QAbstractItemView::ScrollPerPixel</enum>
     </property>
     <property name="rootIsDecorated" >
      <bool>false</bool>
     </property>
     <property name="itemsExpandable" >
      <bool>false</bool>
     </property>
    </widget>
   </item>
   <item row="1" column="1" >
    <layout class="QHBoxLayout" >
     <item>
      <widget class="QToolButton" name="removeButton" >
       <property name="enabled" >
        <bool>false</bool>
       </property>
       <property name="text" >
        <string>Remove</string>
       </property>
       <property name="toolButtonStyle" >
        <enum>Qt::ToolButtonTextBesideIcon</enum>
       </property>
      </widget>
     </item>
     <item>
      <spacer>
       <property name="orientation" >
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeHint" stdset="0" >
        <size>
         <width>16</width>
         <height>29</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QToolButton" name="testPlaybackButton" >
       <property name="text" >
        <string>Test</string>
       </property>
       <property name="checkable" >
        <bool>true</bool>
       </property>
       <property name="toolButtonStyle" >
        <enum>Qt::ToolButtonTextBesideIcon</enum>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="preferButton" >
       <property name="enabled" >
        <bool>false</bool>
       </property>
       <property name="toolTip" >
        <string>prefer the selected device</string>
       </property>
       <property name="text" >
        <string>Prefer</string>
       </property>
       <property name="toolButtonStyle" >
        <enum>Qt::ToolButtonTextBesideIcon</enum>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="deferButton" >
       <property name="enabled" >
        <bool>false</bool>
       </property>
       <property name="toolTip" >
        <string>no preference for the selected device</string>
       </property>
       <property name="text" >
        <string>Defer</string>
       </property>
       <property name="toolButtonStyle" >
        <enum>Qt::ToolButtonTextBesideIcon</enum>
       </property>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint" />
 <includes>
  <include location="global" >kdialog.h</include>
 </includes>
 <resources/>
 <connections/>
</ui>
